//1.RADIATION PATTERN OF CIRCULAR ARRAY ANTENNA (RECTANGULAR PLOT)
//OS-Windows 7
//Scilab 6.0.2
// RADIATION PATTERN MEASUREMENT OF ANTENNA ARRAYS
//Course Instructor Name: Dr. V. A. Sankar Ponnapalli
//Institute Name: Sreyas Institute of Engineering & Technology
clc;
clear;
close;
r=input('RADIUS=');// IN WAVELENGHTS
N=input('NUMBER OF ANTENNA ELEMENTS=')
af=0;
thio=0; //STEERING ANGLE
phio=0; // STEERING ANGLE
phi=%pi/2;
thi=-%pi:%pi/10000:%pi;
k=2*%pi
    for n=1:N // NUMBER OF ANTENNA ELEMENTS
        phin=(n-1).*(2.*%pi/N)
        a=(exp(%i.*k.*r.*(((sin(thi)*cos(phi-phin)))-(sin(thio)*cos(phio-phin)))));
        af=a+af;
    end
af1=abs(af);
af1=af1/max(max((af1)));
CAA=20.*log10(af1);
plot((thi*57.3),(CAA));
xlabel('THETA');
ylabel('ARRAY FACTOR (dB)');
title('RADIATION PATTERN OF CIRCULAR ARRAY ANTENNA');
h=gca();
h.data_bounds=[-90,-80;90,0];
 
// INPUT PARAMETERS

//RADIUS=0.5

//NUMBER OF ANTENNA ELEMENTS=10

// DESCRIPTION OF THE FIGURE: 
//*************************ARRAY FACTOR PROPERTIES***************************
//                            Half Power Beam Width (HPBW): 41.8 (In degrees) 
//                            Side Lobe Level (SLL)       : -10 dB
//                            Side Lobe Level Angle (SLLA): 92.2 (In degrees) 

